Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.molbio
Class DNAComposition

    java.lang.Object
      org.biojava.bio.molbio.Composition
          org.biojava.bio.molbio.DNAComposition

    public class DNAComposition

extends Composition

Computes composition statistics about a DNA `SymbolList`.

Since:
  1.6
Author:
  Mark Schreiber

Constructor Summary
`DNAComposition()`

Method Summary
`double` | `getA()` Get the relative compositon of 'A'.
`double` | `getC()` Get the relative compositon of 'C'.
`double` | `getG()` Get the relative compositon of 'G'.
`double` | `getT()` Get the relative compositon of 'T'.

Methods inherited from class org.biojava.bio.molbio.Composition
`getDistribution, setSymbolList`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DNAComposition

    public DNAComposition()

Method Detail

### getA

    public double getA()

  Get the relative compositon of 'A'.

  Returns:
    between 0.0 and 1.0

### getC

    public double getC()

  Get the relative compositon of 'C'.

  Returns:
    between 0.0 and 1.0

### getG

    public double getG()

  Get the relative compositon of 'G'.

  Returns:
    between 0.0 and 1.0

### getT

    public double getT()

  Get the relative compositon of 'T'.

  Returns:
    between 0.0 and 1.0

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD